Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `Freeze::EvictorIterator`

## Overview

    local interface EvictorIterator

An iterator for the objects managed by the evictor. Note that an EvictorIterator is not thread-safe: the application needs to serialize access to a given EvictorIterator, for example by using it in just one thread.

### Used By

`Evictor::getIterator`

### See Also

`Evictor`

### Operation Index

`hasNext`

  Determines if the iteration has more elements.

`next`

  Obtains the next identity in the iteration.

## `hasNext`

    bool hasNext();

Determines if the iteration has more elements.

### Return Value

True if the iterator has more elements, false otherwise.

### Exceptions

`DatabaseException`

  Raised if a database failure occurs while retrieving a batch of objects.

## `next`

    ::Ice::Identity next();

Obtains the next identity in the iteration.

### Return Value

s The next identity in the iteration.

### Exceptions

`NoSuchElementException`

  Raised if there is no further elements in the iteration.

`DatabaseException`

  Raised if a database failure occurs while retrieving a batch of objects.

<<< Previous | Home | Next >>>
`Freeze::EvictorDeactivatedException` | Up | `Freeze::InvalidPositionException`